Because of some security tightening implemented in the latest version of BITS (BITS 2.0) you may have experienced problems with Updater Application Block if you depend on implicit credentials to communicate with a server. There's a published a KB about this here: http://support.microsoft.com/default.aspx?kbid=842309

Even though there might be workarounds, we have changed the UAB code to fix the problem, but before posting it to the community workspace, we'd like to find some volunteers to test it in their own environments, to make sure the solution works fine.

Anyone willing to participate please send an email to pagscex AT microsoft DOT com

Thanks very much in advance